> the display of some 1000 wires, each consisting of about 5-20 edges is very > slow. > My code is structured as follows: > > -------------------------- > display, start_display, add_menu, add_function_to_menu = init_display() > > wires=[] > while True: > wires.append(BRepBuilderAPI_MakeWire(...) > if ...: break > > for w in wires: > display.DisplayShape(w.Shape()) > > start_display() > -------------------------- > > The slow part is not the loop with the BRepBuilderAPI_MakeWire calls, but the > display.DisplayShape calls. Is it possible to deactivate the display before > displaying all shapes and activate it only right before start_display()?
1) display.DisplayShape can also take a list of shapes 2) use display.DisplayShape(aShape, update=False) That should speed thing up dramatically. (You might even consider appending all the shapes in a TopoDS_Compoud) Cheers, -jelle _______________________________________________ Pythonocc-users mailing list Pythonocc-users@gna.org https://mail.gna.org/listinfo/pythonocc-users